Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.nogrammarconstraints

## Class GenerateXMLModelWithDTDCodeActionResolver

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.nogrammarconstraints.AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant
  - - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.nogrammarconstraints.GenerateXMLModelWithDTDCodeActionResolver

All Implemented Interfaces:
  `ICodeActionResolvesParticipant`

    public class GenerateXMLModelWithDTDCodeActionResolver
    extends AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant

Code action resolver participant used to:

- generate the DTD file for the given DOM document
- generate the association xml-model in the XML to bind it with the generated DTD

Author:
  Angelo ZERR

### Field Summary

Fields
`static String` `PARTICIPANT_ID`

### Constructor Summary

Constructors
`GenerateXMLModelWithDTDCodeActionResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.lsp4j.TextDocumentEdit` `createFileEdit​(String grammarFileName, DOMDocument document, SharedSettings sharedSettings)`
`protected FileContentGeneratorSettings` `getFileContentGeneratorSettings()`

### Methods inherited from class org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.nogrammarconstraints.AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant

`resolveCodeAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARTICIPANT_ID

    public static final String PARTICIPANT_ID

### Constructor Detail

#### GenerateXMLModelWithDTDCodeActionResolver

    public GenerateXMLModelWithDTDCodeActionResolver()

### Method Detail

#### createFileEdit

    protected org.eclipse.lsp4j.TextDocumentEdit createFileEdit​(String grammarFileName,
                                                                DOMDocument document,
                                                                SharedSettings sharedSettings)
                                                         throws BadLocationException

Specified by:
  `createFileEdit` in class `AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant`
Throws:
  `BadLocationException`

#### getFileContentGeneratorSettings

    protected FileContentGeneratorSettings getFileContentGeneratorSettings()

Specified by:
  `getFileContentGeneratorSettings` in class `AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant`